libgeglmm: Gegl::OperationComposer Class Reference

libgeglmm

Public Member Functions | Related Functions
Gegl::OperationComposer Class Reference
Inheritance diagram for Gegl::OperationComposer:
[legend]

List of all members.

## Public Member Functions
GeglOperationComposer* | gobj ()
| Provides access to the underlying C GObject.
const GeglOperationComposer* | gobj () const
| Provides access to the underlying C GObject.
GeglOperationComposer* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
virtual | ~OperationComposer ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gegl::OperationComposer > | wrap (GeglOperationComposer* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gegl::OperationComposer::~OperationComposer | ( |  | ) | `[virtual]`

## Member Function Documentation

GeglOperationComposer* Gegl::OperationComposer::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gegl::Operation.

Reimplemented in Gegl::OperationPointComposer.

const GeglOperationComposer* Gegl::OperationComposer::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gegl::Operation.

Reimplemented in Gegl::OperationPointComposer.

GeglOperationComposer* Gegl::OperationComposer::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gegl::Operation.

Reimplemented in Gegl::OperationPointComposer.

## Friends And Related Function Documentation

Glib::RefPtr< Gegl::OperationComposer > wrap | ( | GeglOperationComposer * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- operation.h